GET
/api/admin/merchants/{id}/fees/revenue
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fees/revenue';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fees/revenue \ --header 'Authorization: Bearer <token>'Platform fee revenue Topiic earned on this merchant over a window (defaults to last 30 days).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Query Parameters
Section titled “Query Parameters ” from
string format: date-time
to
string format: date-time
Responses
Section titled “ Responses ”OK
Media type application/json
object
totalFees
number format: double
totalNet
number format: double
transactionCount
integer format: int32
from
string format: date-time
to
string format: date-time
Example generated
{ "totalFees": 1, "totalNet": 1, "transactionCount": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z"}